Bug 6947 - OPAC top-issues doesn't respect item-level itypes
Summary: OPAC top-issues doesn't respect item-level itypes
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Target Milestone: ---
Assignee: Ian Walls
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-30 02:38 UTC by Ian Walls
Modified: 2013-12-05 19:59 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 6947 : opac-topissues.pl wasn't respecting item live itemtypes (1.29 KB, patch)
2011-10-28 19:50 UTC, Chris Cormack
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6947 : opac-topissues.pl wasn't respecting item live itemtypes (1.54 KB, patch)
2011-12-18 07:44 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Walls 2011-09-30 02:38:54 UTC
If AdvancedSearchTypes is 'itemtypes', then opac/opac-topissues.pl only looks at the biblioitems.itemtype value for it's grouping, not the item-level itype, even if that item-level_itypes is turned on.
Comment 1 Paul Poulain 2011-10-25 15:07:32 UTC
bug affected to Koha 3.6. Entries must be attached to rel_3_8 only when the patch is pushed here (and if it's an ENH)
Comment 2 Chris Cormack 2011-10-28 19:50:13 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2011-12-18 07:44:55 UTC
Created attachment 6849 [details] [review]
[SIGNED-OFF] Bug 6947 : opac-topissues.pl wasn't respecting item live itemtypes

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
The search was only looking for bib level itypes independent
from the settings for item-level_itypes.

After patch the system preference setting is respected
and search works accordingly.
Comment 4 Marcel de Rooy 2012-01-13 14:55:36 UTC
QA Comment: Looks good. Updating patch status.
Comment 5 Jared Camins-Esakov 2012-05-23 12:53:33 UTC
This fix was included in the 3.6.x branch prior to 3.6.4.